List Opportunities
/unified/crm/opportunities
Partial response — use the "get" endpoint for the full object.
Query Parameters
Refer Specifying query parameters in Truto APIs
The date and time of the opportunity's creation
22 supported
The date and time of the opportunity's last update
21 supported
The opportunity's status
abandonedallcloseddeletedin_progressleadlostopenwon
15 supported
leadin_progresswonlostopenwonlostabandonedallopenwonlostdeletedopenlostwonopenclosedwonThe opportunity's name
24 supported
The opportunity's stage
19 supported
The stage's unique identifier
The stage's name
The opportunity's owner
22 supported
The opportunity's owner's unique identifier
Only either account or contact should be set.
18 supported
The account's unique identifier
Searches by name, contact and account.
12 supported
accountamountclose-dateclose_datecontactcreated_atcreated_bylast_activity_atnamestatusupdated_at
11 supported
namecreated_atamountcontactaccountnamecreated_atupdated_atlast_activity_atcreated_atupdated_atnameamountclose_datecreated_atupdated_atcreated_atupdated_atnamecreated_atupdated_atclose-datenamestatusclose_datenameclose_dateupdated_atcreated_atlast_activity_atcreated_byamountnameamountcreated_atupdated_atcreated_atupdated_atThe opportunity's amount
22 supported
Only either contact or account should be set.
19 supported
The contact's unique identifier
The opportunity's tags
8 supported
The tag's unique identifier
The tag's name
The amount attribute's currency
12 supported
The date and time of the opportunity's close date
20 supported
The opportunity's description
15 supported
The view id of the opportunities
1 supported
1 supported1 required
4 supported
The date and time of the opportunity's last activity
14 supported
All the custom fields present on the opportunity
17 supported
Show Truto-specific parameters
The ID of the integrated account to use for the request.
62f44730-dd91-461e-bd6a-aedd9e0ad79dThe format of the response.
unifiedreturns the response with unified mappings applied.rawreturns the unprocessed, raw response from the remote API.normalizedapplies the unified mappings and returns the data in a normalized format.streamreturns the response as a stream, which is ideal for transmitting large datasets, files, or binary data. Using streaming mode helps to efficiently handle large payloads or real-time data flows without requiring the entire data to be buffered in memory.
Defaults to unified.
unifiedunifiedrawnormalizedstream
By default the result attribute is an array of objects. This parameter allows you to specify a field in each result objects to use as key, which transforms the result array into an object with the array items keyed by the field. This is useful for when you want to use the result as a lookup table.
idIgnores the limit query parameter.
Excludes the remote_data attribute from the response.
Array of fields to exclude from the response.
truto_exclude_fields[]=id&truto_exclude_fields[]=nameQuery parameters to pass to the underlying API without any transformations. Refer this guide to see how to structure the query parameters.
remote_query[foo]=barResponse Body
The cursor to use for the next page of results. Pass this value as next_cursor in the query parameter in the next request to get the next page of results.
List of Opportunities
The opportunity's unique identifier
24 supported
The opportunity's account
18 supported
1 property
The account's unique identifier
The opportunity's amount
22 supported
The date and time of the opportunity's close date
20 supported
The opportunity's contacts
19 supported
1 property
The contact's unique identifier
The date and time of the opportunity's creation
22 supported
The amount attribute's currency
12 supported
All the custom fields present on the opportunity
17 supported
The opportunity's description
15 supported
The date and time of the opportunity's last activity
14 supported
The opportunity's name
24 supported
The opportunity's owner
22 supported
1 property
The opportunity's owner's unique identifier
Raw data returned from the remote API call.
The opportunity's stage
19 supported
2 properties
The stage's unique identifier
The stage's name
The opportunity's status
15 supported
The opportunity's tags
8 supported
2 properties
The tag's unique identifier
The tag's name
The date and time of the opportunity's last update
21 supported
The opportunity's urls
9 supported
2 properties
The opportunity's URL type
The opportunity's URL
curl -X GET 'https://api.truto.one/unified/crm/opportunities?integrated_account_id=<integrated_account_id>' \
-H 'Authorization: Bearer <your_api_token>' \
-H 'Content-Type: application/json'const integratedAccountId = '<integrated_account_id>';
const response = await fetch(`https://api.truto.one/unified/crm/opportunities?integrated_account_id=${integratedAccountId}`, {
method: 'GET',
headers: {
'Authorization': 'Bearer <your_api_token>',
'Content-Type': 'application/json',
},
});
const data = await response.json();
console.log(data);import requests
url = "https://api.truto.one/unified/crm/opportunities"
headers = {
"Authorization": "Bearer <your_api_token>",
"Content-Type": "application/json",
}
params = {
"integrated_account_id": "<integrated_account_id>"
}
response = requests.get(url, headers=headers, params=params)
print(response.json())import Truto from '@truto/truto-ts-sdk';
const truto = new Truto({
token: '<your_api_token>',
});
const result = await truto.unifiedApi.list(
'crm',
'opportunities',
{ integrated_account_id: '<integrated_account_id>' }
);
console.log(result);import asyncio
from truto_python_sdk import TrutoApi
truto_api = TrutoApi(token="<your_api_token>")
async def main():
async for item in truto_api.unified_api.list(
"crm",
"opportunities",
{"integrated_account_id": "<integrated_account_id>"}
):
print(item)
asyncio.run(main())